<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div {
            width: 500px;
            margin: 0 auto;
        }
        table{
            width: 300px;
            text-align: center;
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div>
        价格：<input type="text" id="start"> - 
        <input type="text" id="end"> 
        <input type="button" class="search" value="搜索">
        <table  border="1" cellspacing="0" cellpadding="0">
            <thead>
                <tr>
                    <th>编号</th>
                    <th>产品</th>
                    <th>价格</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>

    <script>
        const data = [{
            id: 1,
            name: '小米',
            price: 999
        }, {
            id: 2,
            name: '苹果',
            price: 1999
        }, {
            id: 1,
            name: '三星',
            price: 2999
        },{
            id: 1,
            name: '华为',
            price: 3999
        }]
        const tbody = document.querySelector('tbody')
        const start = document.getElementById('#start')
        const end = document.getElementById('#end')
        const search = document.getElementsByClassName('.search')
        dataList(data)
        function dataList(myData) {
            myData.forEach( val => {
                var tr = document.createElement('tr')
                tr.innerHTML = '<td>'+ val.id + '</td><td>'+ val.name +'</td><td>'+ val.price +'</td>'
                tbody.appendChild(tr)
            })
        };
        search.addEventListener('click', function () {
            alert(1111);
        })
    </script>
</body>
</html>